Article ID: 125314, created on Apr 29, 2015, last review on Aug 17, 2016

  • Applies to:
  • Plesk 12.0 for Linux
  • Plesk 11.0 for Linux
  • Plesk 11.5 for Linux


PHP pages are offered to be downloaded instead of being displayed properly in FastCGI handler mode.


fcgid module for Apache is disabled or corrupted.


Enable the module in either of the following ways:

  1. enable fcgid module via Home > Tools & Settings > Apache Webserver > fcgid.

  2. enable it via CLI and restart Apache:

    # a2enmod fcgid
    # service apache restart

If the module can not be activated, reinstall it using Plesk autoinstaller.

Search Words


php downloaded


php download

page is downloaded


fastcgi php not working

php handler not available

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 29d1e90fd304f01e6420fbe60f66f838 01bc4c8cf5b7f01f815a7ada004154a2 0a53c5a9ca65a74d37ef5c5eaeb55d7f aea4cd7bfd353ad7a1341a257ad4724a 2a5151f57629129e26ff206d171fbb5f e335d9adf7edffca6a8af8039031a4c7

Email subscription for changes to this article
Save as PDF